Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.ee
Class JDOConnectionRequestInfo

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.ee.JDOConnectionRequestInfo

All Implemented Interfaces:
  javax.resource.spi.ConnectionRequestInfo

public class JDOConnectionRequestInfo
extends java.lang.Object
implements javax.resource.spi.ConnectionRequestInfo

The ConnectionRequestInfo interface enables a resource adapter to pass its own request specific data structure across the connection request flow. A resource adapter extends the empty interface to supports its own data structures for connection request.

Constructor Summary
`JDOConnectionRequestInfo(javax.resource.cci.ConnectionSpec connectionSpec)`

Method Summary
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUserName()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUserName(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ConnectionRequestInfo
`equals, hashCode`

Constructor Detail

### JDOConnectionRequestInfo

    public JDOConnectionRequestInfo(javax.resource.cci.ConnectionSpec connectionSpec)

Method Detail

### setUserName

    public void setUserName(java.lang.String username)

### getUserName

    public java.lang.String getUserName()

### setPassword

    public void setPassword(java.lang.String password)

### getPassword

    public java.lang.String getPassword()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.